Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class LiteratureReference

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.LiteratureReference

public class LiteratureReference
extends MutableDataElementSupport

Defines coomon properties of literature reference. Our format is based on MEDLINE (PubMed) literature reference format. Here we use major fields of MEDLINE and ommit some accessory fields. From the other hand we add some utility fields allowing a user to organize and categorize references by user defined themes, key words and importance, as well as to store user comments and related URLs.

pending inherit from {@link GenericEntity}. http://www.ncbi.nlm.nih.gov/entrez/utils/pmfetch.fcgi?db=PubMed&id=12075356&report=MEDLINE&mode=text

Field Summary
`int` | `importance` The reference importance.

Constructor Summary
`LiteratureReference(DataCollection parent, String name)`

Method Summary
`String` | `getAffilation()`
`String` | `getAuthors()`
`String` | `getComment()`
`String` | `getFullTextURL()`
`int` | `getImportance()`
`String` | `getIssue()`
`String` | `getJournalTitleAbbrevation()`
`String` | `getKeywords()`
`String` | `getLanguage()`
`String` | `getMedlineId()`
`String` | `getPagination()`
`String` | `getPublicationAbstract()`
`String` | `getPublicationDate()`
`String` | `getPublicationType()`
`String` | `getPubMedId()`
`String` | `getRelatedURLs()`
`String` | `getSource()` Returns composite field containing bibliographic information.
`String` | `getTheme()`
`String` | `getTitle()`
`String` | `getVolume()`
`void` | `setAffilation(String affilation)`
`void` | `setAuthors(String authors)`
`void` | `setComment(String comment)`
`void` | `setFullTextURL(String fullTextURL)`
`void` | `setImportance(int importance)`
`void` | `setIssue(String issue)`
`void` | `setJournalTitleAbbrevation(String journalTitleAbbrevation)`
`void` | `setKeywords(String keywords)`
`void` | `setLanguage(String language)`
`void` | `setMedlineId(String medlineId)`
`void` | `setPagination(String pagination)`
`void` | `setPublicationAbstract(String publicationAbstract)`
`void` | `setPublicationDate(String publicationDate)`
`void` | `setPublicationType(String publicationType)`
`void` | `setPubMedId(String pubMedId)`
`void` | `setRelatedURLs(String relatedURLs)`
`void` | `setTheme(String theme)`
`void` | `setTitle(String title)`
`void` | `setVolume(String volume)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### importance

    public int importance

  The reference importance. Using this property user can organise references by their importance.

Constructor Detail

### LiteratureReference

    public LiteratureReference(DataCollection parent, String name)

Method Detail

### getAffilation

    public String getAffilation()

### getAuthors

    public String getAuthors()

### getComment

    public String getComment()

### getFullTextURL

    public String getFullTextURL()

### getImportance

    public int getImportance()

### getIssue

    public String getIssue()

### getJournalTitleAbbrevation

    public String getJournalTitleAbbrevation()

### getKeywords

    public String getKeywords()

### getLanguage

    public String getLanguage()

### getMedlineId

    public String getMedlineId()

### getPagination

    public String getPagination()

### getPublicationAbstract

    public String getPublicationAbstract()

### getPublicationDate

    public String getPublicationDate()

### getPublicationType

    public String getPublicationType()

### getPubMedId

    public String getPubMedId()

### getRelatedURLs

    public String getRelatedURLs()

### getSource

    public String getSource()

  Returns composite field containing bibliographic information. (MEDLINE SO field).

### getTheme

    public String getTheme()

### getTitle

    public String getTitle()

### getVolume

    public String getVolume()

### setAffilation

    public void setAffilation(String affilation)

### setAuthors

    public void setAuthors(String authors)

### setComment

    public void setComment(String comment)

### setFullTextURL

    public void setFullTextURL(String fullTextURL)

### setImportance

    public void setImportance(int importance)

### setIssue

    public void setIssue(String issue)

### setJournalTitleAbbrevation

    public void setJournalTitleAbbrevation(String journalTitleAbbrevation)

### setKeywords

    public void setKeywords(String keywords)

### setLanguage

    public void setLanguage(String language)

### setMedlineId

    public void setMedlineId(String medlineId)

### setPagination

    public void setPagination(String pagination)

### setPublicationAbstract

    public void setPublicationAbstract(String publicationAbstract)

### setPublicationDate

    public void setPublicationDate(String publicationDate)

### setPublicationType

    public void setPublicationType(String publicationType)

### setPubMedId

    public void setPubMedId(String pubMedId)

### setRelatedURLs

    public void setRelatedURLs(String relatedURLs)

### setTheme

    public void setTheme(String theme)

### setTitle

    public void setTitle(String title)

### setVolume

    public void setVolume(String volume)

Association Links

to Class java.lang.String

  Unique number assigned to each MEDLINE citation (MEDLINE UI field).

to Class java.lang.String

  Unique number assigned to each PubMed citation. (MEDLINE PMID field).

to Class java.lang.String

  Authors (MEDLINE AU field).

  pending use full author names (MEDLINE FAU field)., use array of string: one string for each author.

to Class java.lang.String

  Institutional affiliation and address of the first author, and grant numbers. (MEDLINE AD field).

to Class java.lang.String

  The title of the article (MEDLINE TI field).

to Class java.lang.String

  Standard journal title abbreviation (MEDLINE TA field).

to Class java.lang.String

  Journal volume (MEDLINE VI field).

to Class java.lang.String

  The number of the issue, part, or supplement of the journal in which the article was published (MEDLINE IP field).

to Class java.lang.String

  The full pagination of the article (MEDLINE PG field).

to Class java.lang.String

  The publication abstract. (MEDLINE AB field).

to Class java.lang.String

  Link to the full-text of article at provider's website (MEDLINE URLF field).

to Class java.lang.String

  The date the article was published (MEDLINE DP field).

to Class java.lang.String

  The language in which the article was published (MEDLINE LA field).

to Class java.lang.String

  The type of material the article represents (MEDLINE PT field).

to Class java.lang.String

  Using this property user can categorize references by user defined themes.

to Class java.lang.String

  A set of user defined key words assotioated with a literature reference.

to Class java.lang.String

  A set of URLs that are related with the reference. This URL's can refer to some resources, for example software, that is described in the article.

  pending use array of string: one string for each URL.

to Class java.lang.String

  Arbitrary user comment assitiated with this refeence.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM